This was obtained from:
https://mailman.archlinux.org/pipermail/arch-commits/2013-April/197196.html

    Date: Monday, April 29, 2013 @ 13:09:14
  Author: bpiotrowski
Revision: 89414

archrelease: copy trunk to community-staging-x86_64, community-staging-i686

Added:
  jbig2dec/repos/community-staging-i686/
  jbig2dec/repos/community-staging-i686/PKGBUILD
    (from rev 89413, jbig2dec/trunk/PKGBUILD)
  jbig2dec/repos/community-staging-i686/jbig2dec-0.11-libpng15.patch
    (from rev 89413, jbig2dec/trunk/jbig2dec-0.11-libpng15.patch)
  jbig2dec/repos/community-staging-x86_64/
  jbig2dec/repos/community-staging-x86_64/PKGBUILD
    (from rev 89413, jbig2dec/trunk/PKGBUILD)
  jbig2dec/repos/community-staging-x86_64/jbig2dec-0.11-libpng15.patch
    (from rev 89413, jbig2dec/trunk/jbig2dec-0.11-libpng15.patch)

-------------------------------------------------------+
 community-staging-i686/PKGBUILD                       |   33 ++++++++++++++++
 community-staging-i686/jbig2dec-0.11-libpng15.patch   |   31 +++++++++++++++
 community-staging-x86_64/PKGBUILD                     |   33 ++++++++++++++++
 community-staging-x86_64/jbig2dec-0.11-libpng15.patch |   31 +++++++++++++++
 4 files changed, 128 insertions(+)

Copied: jbig2dec/repos/community-staging-i686/PKGBUILD (from rev 89413, jbig2dec/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2013-04-29 11:09:14 UTC (rev 89414)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer:  Bartłomiej Piotrowski
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+
+pkgname=jbig2dec
+pkgver=0.11
+pkgrel=6
+pkgdesc="decoder implementation of the JBIG2 image compression format"
+arch=('x86_64' 'i686')
+url="http://jbig2dec.sourceforge.net/"
+license=('GPL3')
+depends=('glibc' 'libpng')
+options=('!libtool')
+source=(https://github.com/rillian/jbig2dec/archive/$pkgver.tar.gz
+        $pkgname-$pkgver-libpng15.patch)
+sha256sums=('8af7b94b6026aff718d4b41ad990f2702f8fd4a348d565c4b48a695988ca0e9a'
+            'ed871abd9419dbf35ba7f38d4835098d3838fd9400856ac4ec029e63bb42d859')
+prepare() {
+  cd $pkgname-$pkgver
+  patch -Np0 -i "$srcdir"/$pkgname-$pkgver-libpng15.patch
+  sed -i 's/AM_CONFIG_HEADER/AC_CONFIG_HEADER/' configure.ac
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./autogen.sh --prefix=/usr
+  make
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir/" install
+}

Copied: jbig2dec/repos/community-staging-i686/jbig2dec-0.11-libpng15.patch (from rev 89413, jbig2dec/trunk/jbig2dec-0.11-libpng15.patch)
===================================================================
--- community-staging-i686/jbig2dec-0.11-libpng15.patch	                        (rev 0)
+++ community-staging-i686/jbig2dec-0.11-libpng15.patch	2013-04-29 11:09:14 UTC (rev 89414)
@@ -0,0 +1,31 @@
+--- configure.ac
++++ configure.ac
+@@ -45,7 +45,7 @@
+   fi
+   dnl libpng requires pow() which may be in libm
+   AC_SEARCH_LIBS([pow], [m])
+-  AC_CHECK_LIB([png], [png_check_sig], [
++  AC_CHECK_LIB([png], [png_sig_cmp], [
+     AC_CHECK_LIB([z], [deflate], [
+       AC_DEFINE(HAVE_LIBPNG, 1, [Define if libpng is available (-lpng)])
+       LIBS="-lpng -lz $LIBS"
+--- jbig2_image_png.c
++++ jbig2_image_png.c
+@@ -33,7 +33,7 @@
+ {
+     png_size_t check;
+ 
+-    check = fwrite(data, 1, length, (png_FILE_p)png_ptr->io_ptr);
++    check = fwrite(data, 1, length, (png_FILE_p)png_get_io_ptr(png_ptr));
+     if (check != length) {
+       png_error(png_ptr, "Write Error");
+     }
+@@ -43,7 +43,7 @@
+ jbig2_png_flush(png_structp png_ptr)
+ {
+     png_FILE_p io_ptr;
+-    io_ptr = (png_FILE_p)CVT_PTR((png_ptr->io_ptr));
++    io_ptr = (png_FILE_p)png_get_io_ptr(png_ptr);
+     if (io_ptr != NULL)
+         fflush(io_ptr);
+ }

Copied: jbig2dec/repos/community-staging-x86_64/PKGBUILD (from rev 89413, jbig2dec/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2013-04-29 11:09:14 UTC (rev 89414)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer:  Bartłomiej Piotrowski
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+
+pkgname=jbig2dec
+pkgver=0.11
+pkgrel=6
+pkgdesc="decoder implementation of the JBIG2 image compression format"
+arch=('x86_64' 'i686')
+url="http://jbig2dec.sourceforge.net/"
+license=('GPL3')
+depends=('glibc' 'libpng')
+options=('!libtool')
+source=(https://github.com/rillian/jbig2dec/archive/$pkgver.tar.gz
+        $pkgname-$pkgver-libpng15.patch)
+sha256sums=('8af7b94b6026aff718d4b41ad990f2702f8fd4a348d565c4b48a695988ca0e9a'
+            'ed871abd9419dbf35ba7f38d4835098d3838fd9400856ac4ec029e63bb42d859')
+prepare() {
+  cd $pkgname-$pkgver
+  patch -Np0 -i "$srcdir"/$pkgname-$pkgver-libpng15.patch
+  sed -i 's/AM_CONFIG_HEADER/AC_CONFIG_HEADER/' configure.ac
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./autogen.sh --prefix=/usr
+  make
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir/" install
+}

Copied: jbig2dec/repos/community-staging-x86_64/jbig2dec-0.11-libpng15.patch (from rev 89413, jbig2dec/trunk/jbig2dec-0.11-libpng15.patch)
===================================================================
--- community-staging-x86_64/jbig2dec-0.11-libpng15.patch	                        (rev 0)
+++ community-staging-x86_64/jbig2dec-0.11-libpng15.patch	2013-04-29 11:09:14 UTC (rev 89414)
@@ -0,0 +1,31 @@
+--- configure.ac
++++ configure.ac
+@@ -45,7 +45,7 @@
+   fi
+   dnl libpng requires pow() which may be in libm
+   AC_SEARCH_LIBS([pow], [m])
+-  AC_CHECK_LIB([png], [png_check_sig], [
++  AC_CHECK_LIB([png], [png_sig_cmp], [
+     AC_CHECK_LIB([z], [deflate], [
+       AC_DEFINE(HAVE_LIBPNG, 1, [Define if libpng is available (-lpng)])
+       LIBS="-lpng -lz $LIBS"
+--- jbig2_image_png.c
++++ jbig2_image_png.c
+@@ -33,7 +33,7 @@
+ {
+     png_size_t check;
+ 
+-    check = fwrite(data, 1, length, (png_FILE_p)png_ptr->io_ptr);
++    check = fwrite(data, 1, length, (png_FILE_p)png_get_io_ptr(png_ptr));
+     if (check != length) {
+       png_error(png_ptr, "Write Error");
+     }
+@@ -43,7 +43,7 @@
+ jbig2_png_flush(png_structp png_ptr)
+ {
+     png_FILE_p io_ptr;
+-    io_ptr = (png_FILE_p)CVT_PTR((png_ptr->io_ptr));
++    io_ptr = (png_FILE_p)png_get_io_ptr(png_ptr);
+     if (io_ptr != NULL)
+         fflush(io_ptr);
+ }
